
/*
 *
 ===============================================================================
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 Project name:
LED interfacing with Mikroc

     MCU:             PIC16F877A
     Dev.Board:       PIC
     Oscillator:      20.0 MHz
     Software:  mikroC PRO for PIC
     
 NOTE : YOU CAN REPLACE LED TO A RELAY, CAN ADD MORE
 _______________________________________________________________________________
     Name: Mr. Sourav Mitra
     B-tech Ele. Engg, R & D , EIIL
     Kolkata-India, -
     Whatsapp- +91 8172078297, +91 9830497971
     Mail- smitra@live.com

     PLEASE CONTACT ME ANY ELECTRONICS PROJECT


     SPECAIL THANKS TO MIKROC
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 ================================================================================
*/
// LCD module connections








void main()
{
  TRISB.F0 = 0; //Makes PORTB0 or RB0 Output Pin of LED OR RELAY
  // LED or Relay(5V DC) Should coneect to -5V DC & Other +5VDC connect to RB0 Port
  // LED or Realy have 2 pin to connect 5V DC -5V DC,
  // Please add a resistance 560 E for LED & relay to protect PIC
  // For Relay operation cab use transistor
  // Best to use PIC Devlopment board

  while(1) //Infinite Loop
  {
    PORTB.F0 = 1; //LED/RELAY ON
    Delay_ms(100); //1 Second Delay
    PORTB.F0 = 0; //LED/RELAY OFF
    Delay_ms(100); //1 Second Delay
  }
}